List Voice Agents
curl --request GET \
--url https://api.tryhamsa.com/v2/voice-agents \
--header 'Authorization: <api-key>'{
"success": true,
"data": {
"total": 25,
"filtered": 10,
"voiceAgents": [
{
"id": "48f7656f-098b-4c43-b165-7cfd2cc8ac30",
"type": "Single Prompt",
"name": "Customer Support Agent",
"conversation": {
"greetingMessage": "Hello, how can I help you today?",
"greetingMessageType": null,
"preamble": "You are a helpful assistant.",
"pokeMessages": [],
"params": {},
"alignment": {
"greetingMessage": "ltr",
"preamble": "ltr"
}
},
"voice": {
"voiceId": "en-US-Neural2-A",
"voiceRecordId": null,
"voiceRecord": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>",
"language": "<string>",
"image": "<string>",
"languageCode": "<string>",
"voiceRecord": {}
},
"lang": "en",
"ttsParams": {}
},
"llm": {
"provider": "openai",
"model": "gpt-4",
"temperature": 0.2,
"baseUrl": null,
"apiKey": null
},
"callSettings": {
"noiseCancellation": "telephony_optimized",
"cancelNoisePer": "conversation",
"interrupt": true,
"responseDelay": 400,
"userInactivityTimeout": 15,
"maxCallDuration": 300,
"silenceThreshold": 800,
"backgroundNoise": false,
"thinkingVoice": false,
"speakerIdentification": false,
"agenticRag": false,
"languageDialectSwitcher": false,
"minInterruptionDuration": 0.5,
"vadActivationThreshold": 0.5,
"enableAutoGainControl": false,
"sendDenoisedToStt": false,
"genderDetection": false,
"smartCallEnd": false,
"waitForUserToSpeakFirst": 0
},
"tools": [
{}
],
"knowledgeBaseItemsIds": [],
"voiceDictionaryIds": [],
"phoneNumber": {
"type": "TWILIO",
"id": "48f7656f-098b-4c43-b165-7cfd2cc8ac30"
},
"webhookUrl": null,
"webhookAuth": {},
"workflow": {
"nodes": [
{
"id": "2ZHj3IUpJFc-83H2-f8d3",
"type": "start",
"label": "Start",
"message": "Hello, how can I help you today?",
"messageType": "prompt",
"position": {
"x": 0,
"y": 0
},
"metadata": {
"version": 1
},
"transitions": []
}
],
"edges": [],
"customVariables": [
{
"id": "z5QsyxUbrKPjYMGaMj1e1",
"name": "customer_name",
"dataType": "string",
"description": "",
"defaultValue": "john",
"extractionPrompt": "",
"enumValues": []
}
]
},
"outcomeResponseShape": {},
"resolvedWebTools": [
{}
],
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z",
"account": {
"plan": "pro"
}
}
]
}
}Voice Agents Routes
List Voice Agents
Retrieves a paginated list of voice agents with filtering and sorting options.
GET
/
v2
/
voice-agents
List Voice Agents
curl --request GET \
--url https://api.tryhamsa.com/v2/voice-agents \
--header 'Authorization: <api-key>'{
"success": true,
"data": {
"total": 25,
"filtered": 10,
"voiceAgents": [
{
"id": "48f7656f-098b-4c43-b165-7cfd2cc8ac30",
"type": "Single Prompt",
"name": "Customer Support Agent",
"conversation": {
"greetingMessage": "Hello, how can I help you today?",
"greetingMessageType": null,
"preamble": "You are a helpful assistant.",
"pokeMessages": [],
"params": {},
"alignment": {
"greetingMessage": "ltr",
"preamble": "ltr"
}
},
"voice": {
"voiceId": "en-US-Neural2-A",
"voiceRecordId": null,
"voiceRecord": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>",
"language": "<string>",
"image": "<string>",
"languageCode": "<string>",
"voiceRecord": {}
},
"lang": "en",
"ttsParams": {}
},
"llm": {
"provider": "openai",
"model": "gpt-4",
"temperature": 0.2,
"baseUrl": null,
"apiKey": null
},
"callSettings": {
"noiseCancellation": "telephony_optimized",
"cancelNoisePer": "conversation",
"interrupt": true,
"responseDelay": 400,
"userInactivityTimeout": 15,
"maxCallDuration": 300,
"silenceThreshold": 800,
"backgroundNoise": false,
"thinkingVoice": false,
"speakerIdentification": false,
"agenticRag": false,
"languageDialectSwitcher": false,
"minInterruptionDuration": 0.5,
"vadActivationThreshold": 0.5,
"enableAutoGainControl": false,
"sendDenoisedToStt": false,
"genderDetection": false,
"smartCallEnd": false,
"waitForUserToSpeakFirst": 0
},
"tools": [
{}
],
"knowledgeBaseItemsIds": [],
"voiceDictionaryIds": [],
"phoneNumber": {
"type": "TWILIO",
"id": "48f7656f-098b-4c43-b165-7cfd2cc8ac30"
},
"webhookUrl": null,
"webhookAuth": {},
"workflow": {
"nodes": [
{
"id": "2ZHj3IUpJFc-83H2-f8d3",
"type": "start",
"label": "Start",
"message": "Hello, how can I help you today?",
"messageType": "prompt",
"position": {
"x": 0,
"y": 0
},
"metadata": {
"version": 1
},
"transitions": []
}
],
"edges": [],
"customVariables": [
{
"id": "z5QsyxUbrKPjYMGaMj1e1",
"name": "customer_name",
"dataType": "string",
"description": "",
"defaultValue": "john",
"extractionPrompt": "",
"enumValues": []
}
]
},
"outcomeResponseShape": {},
"resolvedWebTools": [
{}
],
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z",
"account": {
"plan": "pro"
}
}
]
}
}Authorizations
Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '
Query Parameters
Page number (pagination).
Example:
1
Number of items to take per page (pagination).
Example:
10
Search query to filter agents by name.
Example:
"Test Agent"
Field to sort by.
Available options:
createdAt Example:
"createdAt"
Sort order.
Available options:
asc, desc Example:
"desc"
Multi-select filter on the type of voice agents.
Example:
["Single Prompt", "Flow Agent"]Multi-select filter on the language of voice agents.
Example:
["ar", "en"]Was this page helpful?
⌘I